TYPO3.Flow - Feature # 37854

Status: Resolved Priority: Must have
Author: Marc Neuhaus Category: Configuration
Created: 2012-06-08 Assigned To: Marc Neuhaus
Updated: 2013-04-12 Due date:

PHP Version:

Has patch: No

Complexity:

Subject: Refactor ConfigurationManager to Support Custom Configuration Files
Description

The ConfigurationManager should be capable to handle custom Configuration Files for cases like

ContentObjects.yaml for the TYPO3.TYPO3CR Package
Assets.yaml for the TYPO3.Asset Package

Associated revisions

Revision 8378b191 - 2013-01-11 17:18 - Marc Neuhaus

[FEATURE] Allow custom custom configuration files in ConfigurationManager
Using the added methods it is possible to register new "types" of
configuration. The set of processing types remains constant, but one

can now e.g. register "Assets" as configuration type and use the

"Settings" processing rule for that. This way it it possible to move

settings for assets into a dedicated file, "Assets.yaml".

The change adds

- resolveConfigurationProcessingType() method

- registerConfigurationType() method

- 2 tests to add a new ConfigurationType

- emitConfigurationManagerReady() to register new ConfigurationTypes during boot
Change-Id: 116b1de8e7c3ec826240c273a87c5e2a095815a86

Resolves: #37854
Releases: master

Revision 9¢5e31b6 - 2013-02-04 18:26 - Karsten Dambekalns

[TASK] Add custom configuration types documentation

In change |16b1de8e7c3ec826240c273a87c5e2a095815a86 the option to use
custom configuration types was added.

This change adds the missing documentation for that feature.

Change-Id: Id19f05b6b3105900c3cc9e8f5dd29c9dc0aidc8e
Related: #37854
Releases: master

Revision fae1b9d9 - 2013-04-09 09:55 - Karsten Dambekalns

[FEATURE] Allow split configuration sources

With this change it is possible to allow split configuration sources
when defining a custom configuration type. This allows to use multiple
YAML for a type (when using the bundled YamlISource), which will be
merged together.

Change-Id: 1fb957d182fe8d2f4175ff1f695215df9666d287
Related: #37854
Releases: 2.0, master

Revision 78078564 - 2013-04-11 12:22 - Marc Neuhaus

[FEATURE] Allow custom custom configuration files in ConfigurationManager

Using the added methods it is possible to register new "types" of
configuration. The set of processing types remains constant, but one
can now e.g. register "Assets" as configuration type and use the
"Settings" processing rule for that. This way it it possible to move
settings for assets into a dedicated file, "Assets.yaml".

The change adds

- resolveConfigurationProcessingType() method

- registerConfigurationType() method

- 2 tests to add a new ConfigurationType

- emitConfigurationManagerReady() to register new ConfigurationTypes during boot

Change-Id: [16b1de8e7c3ec826240c273a87c5e2a095815a86
Resolves: #37854

Releases: 2.0, master

Revision b783aec9 - 2013-04-11 12:22 - Karsten Dambekalns
[FEATURE] Allow split configuration sources

With this change it is possible to allow split configuration sources
when defining a custom configuration type. This allows to use multiple
YAML for a type (when using the bundled YamlISource), which will be
merged together.

Change-Id: 1fb957d182fe8d2f4175ff1f695215df9666d287

Related: #37854
Releases: 2.0, master
Revision fb2fc011 - 2014-03-26 16:44 - Aske Ertmann
[FEATURE] Split configuration sources include non-split default
This change changes the behavior of split configuration sources to
include the default non-prefixed source as a fallback for increased
flexibility, allowing some packages to have split sources and others
to have a single source.

Also a check in the has method is made more strict.

Change-Id: 160c1b40c291b184d22f290c1ffcd02e43fe493a8

Related: #37854
Releases: master, 2.2

Revision d9d1fd03 - 2014-03-26 17:02 - Aske Ertmann
[FEATURE] Split configuration sources include non-split default
This change changes the behavior of split configuration sources to
include the default non-prefixed source as a fallback for increased
flexibility, allowing some packages to have split sources and others
to have a single source.

Also a check in the has method is made more strict.

Change-Id: 160c1b40c291b184d22f290c1ffcd02e43fe493a8

Related: #37854
Releases: master, 2.2

History

#1 - 2012-06-12 11:47 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#2 - 2012-06-18 15:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#3 - 2012-06-18 15:25 - Karsten Dambekalns
- Category set to Configuration

- Assigned To set to Marc Neuhaus

- Target version set to 2.0 beta 1

#4 - 2012-07-25 11:28 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#5 - 2012-11-06 17:16 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11982

#6 - 2012-11-06 21:14 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11982

#7 - 2012-11-11 02:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#8 - 2012-11-12 23:42 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11982

#9 - 2012-11-19 15:47 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11982

#10 - 2012-11-27 23:50 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#11 - 2012-12-03 02:11 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11982

#12 - 2012-12-10 13:06 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#13 - 2012-12-17 21:18 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/11982
#14 - 2013-01-11 17:19 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/11982

#15 - 2013-01-14 11:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8378b191783f0909ffc9368af80e97b9b9507b65.

#16 - 2013-04-10 19:20 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.0rg/19780

#17 - 2013-04-11 12:27 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.0rg/19780

#18 - 2013-04-12 14:39 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:78078564f6c3aad3ababfb4al262d41a444f3a0f.
